Skip to content

Instantly share code, notes, and snippets.

@schollz
Created Jan 19, 2019
Embed
What would you like to do?
Spotify downloader errors
$ python3 -m pip install spotdl
$ spotdl --list .\discover-weekly.txt
INFO: Checking and removing any duplicate tracks in reading .\discover-weekly.txt
INFO: Overriding .\discover-weekly.txt with unique tracks
INFO: Preparing to download 30 songs
ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
ERROR: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 793, in extract_info
ie_result = ie.extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\common.py", line 508, in extract
ie_result = self._real_extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1874, in _real_extract
encrypted_sig, video_id, player_url, age_gate)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1241, in _decrypt_signature
'Signature extraction failed: ' + tb, cause=e)
youtube_dl.utils.ExtractorError: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 38, in _fetch_basic
self._ydl_info = ydl.extract_info(self.videoid, download=False)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 816, in extract_info
self.report_error(compat_str(e), e.format_traceback())
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 621, in report_error
self.trouble(error_message, tb)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 591, in trouble
raise DownloadError(message, exc_info)
youtube_dl.utils.DownloadError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 204, in _download_list
track_dl = Downloader(raw_song, number=number)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 93, in __init__
self.content, self.meta_tags = youtube_tools.match_video_and_metadata(raw_song)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 58, in match_video_and_metadata
content = go_pafy(track, meta_tags)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 35, in go_pafy
track_info = pafy.new(track_url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\pafy.py", line 124, in new
return Pafy(url, basic, gdata, size, callback, ydl_opts)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 29, in __init__
super(YtdlPafy, self).__init__(*args, **kwargs)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_shared.py", line 96, in __init__
self._fetch_basic()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 41, in _fetch_basic
raise IOError(str(e).replace('YouTube said', 'Youtube says'))
OSError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
WARNING: Failed to download song. Will retry after other songs
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 793, in extract_info
ie_result = ie.extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\common.py", line 508, in extract
ie_result = self._real_extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1874, in _real_extract
encrypted_sig, video_id, player_url, age_gate)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1241, in _decrypt_signature
'Signature extraction failed: ' + tb, cause=e)
youtube_dl.utils.ExtractorError: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 38, in _fetch_basic
self._ydl_info = ydl.extract_info(self.videoid, download=False)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 816, in extract_info
self.report_error(compat_str(e), e.format_traceback())
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 621, in report_error
self.trouble(error_message, tb)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 591, in trouble
raise DownloadError(message, exc_info)
youtube_dl.utils.DownloadError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 204, in _download_list
track_dl = Downloader(raw_song, number=number)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 93, in __init__
self.content, self.meta_tags = youtube_tools.match_video_and_metadata(raw_song)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 58, in match_video_and_metadata
content = go_pafy(track, meta_tags)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 35, in go_pafy
track_info = pafy.new(track_url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\pafy.py", line 124, in new
return Pafy(url, basic, gdata, size, callback, ydl_opts)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 29, in __init__
super(YtdlPafy, self).__init__(*args, **kwargs)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_shared.py", line 96, in __init__
self._fetch_basic()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 41, in _fetch_basic
raise IOError(str(e).replace('YouTube said', 'Youtube says'))
OSError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\runpy.py", line 193, in _run_module_as_main
"__main__", mod_spec)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\runpy.py", line 85, in _run_code
exec(code, run_globals)
File "C:\Users\zacks\AppData\Local\Programs\Python\Python37\Scripts\spotdl.exe\__main__.py", line 9, in <module>
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\spotdl.py", line 62, in main
match_args()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\spotdl.py", line 38, in match_args
list_dl.download_list()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 196, in download_list
return self._download_list()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 215, in _download_list
time.sleep(0.5)
NameError: name 'time' is not defined
$ spotdl --song "haerts - eva"
ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 793, in extract_info
ie_result = ie.extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\common.py", line 508, in extract
ie_result = self._real_extract(url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1874, in _real_extract
encrypted_sig, video_id, player_url, age_gate)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1241, in _decrypt_signature
'Signature extraction failed: ' + tb, cause=e)
youtube_dl.utils.ExtractorError: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 38, in _fetch_basic
self._ydl_info = ydl.extract_info(self.videoid, download=False)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 816, in extract_info
self.report_error(compat_str(e), e.format_traceback())
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 621, in report_error
self.trouble(error_message, tb)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\YoutubeDL.py", line 591, in trouble
raise DownloadError(message, exc_info)
youtube_dl.utils.DownloadError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\runpy.py", line 193, in _run_module_as_main
"__main__", mod_spec)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\runpy.py", line 85, in _run_code
exec(code, run_globals)
File "C:\Users\zacks\AppData\Local\Programs\Python\Python37\Scripts\spotdl.exe\__main__.py", line 9, in <module>
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\spotdl.py", line 62, in main
match_args()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\spotdl.py", line 27, in match_args
track_dl = downloader.Downloader(raw_song=track)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\downloader.py", line 93, in __init__
self.content, self.meta_tags = youtube_tools.match_video_and_metadata(raw_song)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 58, in match_video_and_metadata
content = go_pafy(track, meta_tags)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\spotdl\youtube_tools.py", line 35, in go_pafy
track_info = pafy.new(track_url)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\pafy.py", line 124, in new
return Pafy(url, basic, gdata, size, callback, ydl_opts)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 29, in __init__
super(YtdlPafy, self).__init__(*args, **kwargs)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_shared.py", line 96, in __init__
self._fetch_basic()
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\pafy\backend_youtube_dl.py", line 41, in _fetch_basic
raise IOError(str(e).replace('YouTube said', 'Youtube says'))
OSError: ERROR: Signature extraction failed: Traceback (most recent call last):
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1231, in _decrypt_signature
video_id, player_url, s
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1139, in _extract_signature_function
res = self._parse_sig_js(code)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\extractor\youtube.py", line 1206, in _parse_sig_js
initial_function = jsi.extract_function(funcname)
File "c:\users\zacks\appdata\local\programs\python\python37\lib\site-packages\youtube_dl\jsinterp.py", line 245, in extract_function
raise ExtractorError('Could not find JS function %r' % funcname)
youtube_dl.utils.ExtractorError: Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
(caused by ExtractorError("Could not find JS function 'encodeURIComponent'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.")); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
$ npm install -g spotify-playlist-downloader
$ spotify-playlist-downloader -u X -p Y -l spotify:user:spotify:playlist:37i9dQZEVXcIIZOsZ7T3M7
Downloader App Started..
C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\spotify-web\lib\spotify.js:256
debug('login CSRF token: %j, tracking ID: %j', args.csrftoken, args.trackingId);
^
TypeError: Cannot read property 'csrftoken' of undefined
at Spotify._onsecret (C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\spotify-web\lib\spotify.js:256:55)
at Request.callback (C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\superagent\lib\node\index.js:584:30)
at Request.<anonymous> (C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\superagent\lib\node\index.js:133:10)
at Request.emit (events.js:187:15)
at Request.EventEmitter.emit (domain.js:442:20)
at Stream.<anonymous> (C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\superagent\lib\node\index.js:714:12)
at Stream.emit (events.js:187:15)
at Stream.EventEmitter.emit (domain.js:442:20)
at Unzip.<anonymous> (C:\Users\zacks\AppData\Roaming\npm\node_modules\spotify-playlist-downloader\node_modules\superagent\lib\node\utils.js:120:12)
at Unzip.emit (events.js:187:15)
at Unzip.EventEmitter.emit (domain.js:442:20)
at endReadableNT (_stream_readable.js:1094:12)
at process._tickCallback (internal/process/next_tick.js:63:19)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment